Subject: Re: [TR] stupidity

From: "John Macartney" <[email-masked]>
Date: Fri, 12 Jun 2015 09:44:02 +0100

I suppose my story is more oriented to MG owners but affects any enthusiast who has fitted an electric fuel pump to their cars - especially underneath the tank area. Many years ago, I had a friend and close neighbour who found the SU pump fitted to his Rover SD1 was leaking. Later examination found one of the unions had been cross-threaded during manufacture. Anyway, this guy was in his garage at home and had been fiddling around with the ignition switched on, to see where the leak was coming from. This meant crawling around under the car that was on axle stands. Time came to remove the pump which he did and inevitably a dose of neat fuel landed on his neck and shoulder as he lay on his back under the rear end. But there was a spark as he pulled the live wire (ignition still on, remember) and whumph!
Six months off work, substantial plastic surgery to his face, neck, torso and one leg and it's fair to say he learned his lesson. I guess he was so keen to resolve the problem he clean forgot the most elementary of safety procedures. Sparks and raw fuel shouldn't mix except in the combustion chamber

Jonmac

---
This email is free from viruses and malware because avast! Antivirus protection is active.
https://www.avast.com/antivirus

** [email-masked] **

Archive: http://www.team.net/archive